<!DOCTYPE html>
<html lang="en" dir="ltr">
  <head>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="css/main.css">
    <meta charset="utf-8">
    <title></title>
  </head>
  <body>
  <div class="container">
    <h1 class="row justify-content-md-center">Welcome to the Guess-gender game</h1>
    <h2>Rules are very simple you click on the button below a name appear. You have to guess witch gender is   </h2>
    <div class = "row">
      <button id="btn" type="button" class="btn btn-warning ">GET NEW NAME</button>
    </div>
    <h1 class="row justify-content-md-center" id="name"></h1>
    <div class="h-100 row align-items-center">
      <button class="col btn btn-outline-warning genderbutton" id="mars"> <i class="fa fa-mars fa-5x"></i></button>
      <button class="col btn btn-outline-warning genderbutton" id="venus"> <i class="fa fa-venus fa-5x " ></i></button>
    </div>
    <div class="h-100 row align-items-center">
      <button class="btn btn-outline-info"><h1>Score</h1><h1 id="scoreId"></h1></button>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script type="text/javascript">
      $(document).ready(function(){
        var score = 10;
        $("#scoreId").text(score)

        $("#btn").click(function(){
          $.ajax({
              headers: { "Accept": "application/json"},
              type: 'GET',
              url: 'http://localhost:3000/getNewName',
              crossDomain: true,
              beforeSend: function(xhr){
                  xhr.withCredentials = true;
            },
              success: function(data, textStatus, request){
                  $("#name").text(data.name)
                  $(".genderbutton").css("visibility", "visible");
                  $("#mars").off().on('click',function(){
                    $(".genderbutton").css("visibility", "hidden");
                    if (data.gender ==="male" || data.gender ==="unknown" ){
                      score +=  1;
                    }else {
                      score -=  1;
                    }
                    $(".genderbutton").css("visibility", "hidden");
                    $("#scoreId").text(score)
                  })
                  $("#venus").off().on('click',function(){
                    $(".genderbutton").css("visibility", "hidden");
                    if (data.gender ==="female" || data.gender ==="unknown" ){
                      score +=  1;
                    }else {
                      score -=  1;
                    }
                    $("#scoreId").text(score)
                  })
                  $("#scoreId").text(score)
              },
                  error: function(xhr, textStatus, error){
                      window.alert("Please try later")
                  }
          });
          });
        })

    </script>
  </div>
  </body>
</html>
